%define upstream_name    Catalyst-Plugin-Session-FastMmap
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	File storage backend for session data
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-Catalyst
BuildRequires:	perl-Catalyst-Plugin-Session
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl-URI-Find
BuildRequires:  perl-Cache-FastMmap
BuildArch:	noarch


%description
Fast sessions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{perl_vendorlib}/Catalyst/Plugin/Session/*
%{_mandir}/*/*

%changelog
* Wed Jan 26 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 41027
- mageia rebuild
- imported package perl-Catalyst-Plugin-Session-FastMmap

